﻿.floating-labels .field-show-floating-label .field-label {
    -webkit-transform: none;
    transform: none;
    opacity: 1;
}

.floating-labels .field-show-floating-label .field-input {
    padding-top: 1.5em;
    padding-bottom: 0.35714em;
}

.floating-labels .field-label,
.floating-labels .field-input {
    -webkit-transition: all 0.2s ease-out;
    transition: all 0.2s ease-out;
}

.floating-labels .field {
    width: 100%;
    float: left;
    padding: 0.42857em 0;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
}

.floating-labels .field-input-wrapper {
    position: relative;
}

.floating-labels .field-label {
    font-size: 0.85714em;
    font-weight: normal;
    position: absolute;
    top: 0;
    width: 100%;
    margin-top: 0.42857em;
    margin-left: 1px;
    padding: 0 0.91667em;
    z-index: 1;
    -webkit-user-select: none;
    -moz-user-select: none;
    -ms-user-select: none;
    user-select: none;
    -webkit-transform: translateY(3px);
    transform: translateY(3px);
    pointer-events: none;
    overflow: hidden;
    white-space: nowrap;
    text-overflow: ellipsis;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    opacity: 0;
    color: #737373;
    display: block;
    text-align: left;
    margin: 0.5em 0;
}

.floating-labels .field-border .field-input {
    border-left: #d9d9d9 1px solid;
    border-right: #d9d9d9 1px solid;
    border-top: #d9d9d9 1px solid;
    border-bottom: #d9d9d9 1px solid;
}

.floating-labels .field-readonly .field-input {
    background-color: #e9ecef;
    text-align: left;
}

.floating-labels .image-placeholder .field-readonly .field-input {
    background-color: #ddd;
}

.floating-labels .field-input {
    background-color: white;
    color: #333333;
    border-color: #d9d9d9;
    background-clip: padding-box;
    border-radius: 5px;
    display: block;
    -webkit-box-sizing: border-box;
    box-sizing: border-box;
    width: 100%;
    padding: 0.92857em 0.78571em;
    word-break: normal;
    line-height: inherit;
}

.floating-labels .field-input:focus {
    outline: none;
    border-color: #64b0f2;
    -webkit-box-shadow: 0 0 0 1px #64b0f2;
    box-shadow: 0 0 0 1px #64b0f2;
}

.floating-labels .field-input-select {
    padding-right: 2.07143em;
    white-space: nowrap;
    -webkit-appearance: none;
    -moz-appearance: none;
    appearance: none;
    -webkit-font-smoothing: inherit;
    background: #FFFFFF;
}

.floating-labels .field-caret {
    border-left: 1px rgba(179, 179, 179, 0.5) solid;
    display: block;
    width: 2.14286em;
    height: 25px;
    pointer-events: none;
    position: absolute;
    top: 25px;
    right: 0;
    -webkit-transform: translate(0%, -50%);
    transform: translate(0%, -50%);
    text-align: center;
    color: #919191;
}